#!/bin/bash
#
# Description: This file will check that the Situate agent pid file is valid based
#              on it's last modified time compared to uptime.
#
if [ -f /opt/situate/pidfile ]; then
  echo "Checking for existing pidfile"
  uptime=`uptime -s`
  pidfile=`stat /opt/situate/pidfile | grep Modify | awk -F . '{print $1}' | awk -F' ' '{print $2$3}'`

  uptime1=`echo "${uptime//-}"`
  uptime2=`echo "${uptime1//:}"`
  uptimeNum=`echo "${uptime2// /}"`

  pidfile1=`echo "${pidfile//-}"`
  pidfileNum=`echo "${pidfile1//:}"`

  if [ "${uptimeNum}" \> "${pidfileNum}" ];
  then
    echo "Pidfile is old, must remove"
    rm -f /opt/situate/pidfile
    exit 0
  else
    echo "Pidfile is valid"
  fi

fi