
SVN=/usr/bin/svn
CMD=$1
USER=$2
PWD=$3
XPATH=$4

if [ `uname -s` = "Darwin" ] ; then

case $1 in
    
    list)
        $SVN --xml --username $USER --password $PWD list $XPATH < /dev/null 2>/tmp/sudoerr
	;;

    info)
        $SVN --xml --username $USER --password $PWD info $XPATH < /dev/null 2>/tmp/sudoerr
	;;

    plist)
        $SVN --xml --username $USER --password $PWD -R --depth files proplist $XPATH < /dev/null 2>/tmp/sudoerr
	;;

    cat)
        $SVN --username $USER --password $PWD cat $XPATH < /dev/null 2>/tmp/sudoerr
	;;

    *) echo ""
       echo "Error: expected sub command"
       echo ""
       ;;
esac

else

case $1 in
    
    list)
        $SVN --xml --username $USER --password $PWD list $XPATH < /dev/null
	;;

    info)
        $SVN --xml --username $USER --password $PWD info $XPATH < /dev/null
	;;

    plist)
        $SVN --xml --username $USER --password $PWD -R --depth files proplist $XPATH < /dev/null
	;;

    cat)
        $SVN --xml --username $USER --password $PWD cat $XPATH < /dev/null
	;;

    *) echo ""
       echo "Error: expected sub command"
       echo ""
       ;;
esac

fi
